{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des formulaires de mon entité" %}

{% block pageActions %}
    <br>

    {{ macro.dissocierMultipleButtonModal(
        'btn_dissociation',
        'Dissocier un ou plusieurs formulaire(s) de l\'entité',
        'app_formulaire_dissociation_multiple',
        'Voulez-vous vraiment dissocier les différents formulaire(s) de l\'entité ?',
        formulaires.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Libelle</th>
                <th scope="col">Description</th>
                <th scope="col">Registre d'activité</th>
                <th scope="col">Registre de sous-traitance</th>
                <th scope="col">Registre de violation</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for formulaire in formulaires %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in formulaire.organisations)  %}
                            {% set dissociation = 'false' %}
                        {% else %}
                            {% set dissociation = 'true' %}
                        {% endif %}

                        <input id='checkbox-{{ formulaire.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ formulaire.id }}"
                               data-dissociation="{{ dissociation }}">
                    </th>

                    <th>
                        {{ formulaire.name }}
                    </th>

                    <th>
                    </th>

                    <th>
                    </th>

                    <th>
                    </th>

                    <th>
                    </th>

                    <th>
                    </th>

                    <th>
                        {% for organisation in formulaire.organisations %}
                            {% if (app.user.currentOrganisation == organisation or is_granted('ROLE_SUPERADMIN')) %}
                                {{ macro.dissocierButtonModal(
                                    formulaire.id,
                                    'Dissociation du formulaire de l\'entité',
                                    'app_formulaire_dissociation',
                                    'Voulez-vous vraiment dissocier ce formulaire ?',
                                    formulaires.currentPageNumber
                                ) }}
                            {% endif %}
                        {% endfor %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(formulaires) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
